%define _name gupnp-igd
%def_disable static
%def_disable gtk_doc

Name: libgupnp-igd
Version: 0.1.1
Release: alt1

Summary: A library to handle UPnP IGD port mapping
Group: System/Libraries
License: LGPLv2+
Url: http://www.gupnp.org/

Source: http://www.gupnp.org/sources/%_name/%_name-%version.tar.gz

BuildPreReq: libgupnp-devel >= 0.12.5
BuildRequires: glib2-devel >= 2.14 gtk-doc

%description
gUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The gUPnP API is intended to be easy to use, efficient and flexible.

%name is a library to handle UPnP IGD port mapping.

%package devel
Summary: Development files and libraries for gUPnP-IGD
Group: Development/C
Requires: %name = %version-%release

%description devel
gUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The gUPnP API is intended to be easy to use, efficient and flexible.

%name is a library to handle UPnP IGD port mapping.
This package provides files for development with gUPnP-IGD.

%package devel-doc
Summary: Development documentaion for gUPnP
Group: Development/C
BuildArch: noarch
Conflicts: %name < %version

%description devel-doc
gUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The gUPnP API is intended to be easy to use, efficient and flexible.

%name is a library to handle UPnP IGD port mapping.
This package provides development documentations for gUPnP-IGD.

%prep
%setup -q -n %_name-%version

rm -f m4/libtool.m4 m4/lt*.m4rm -f m4/libtool.m4 m4/lt*.m4

%build
%autoreconf
export LDFLAGS="$LDFLAGS -lgthread-2.0"
%configure --disable-static \
%{?_enable_gtk_doc:--enable-gtk-doc}

%make_build

%install
%make DESTDIR=%buildroot install

%files
%_libdir/*.so.*
%doc AUTHORS README ChangeLog

%files devel
%_libdir/pkgconfig/*
%_libdir/*.so
%_includedir/*

%files devel-doc
%_datadir/gtk-doc/html/*

%changelog
* Sun Jan 18 2009 Yuri N. Sedunov <aris@altlinux.org> 0.1.1-alt1
- new version

* Fri Nov 28 2008 Yuri N. Sedunov <aris@altlinux.org> 0.1.0-alt1
- first build for Sisyphus

